Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkProperty2D Class Reference

`#include <vtkProperty2D.h>`

Inheritance diagram for vtkProperty2D:

[legend]
Collaboration diagram for vtkProperty2D:

[legend]
List of all members.

## Detailed Description

Date:
  2002/01/22 15:26:11

Revision:
  1.26

vtkProperty2D contains properties used to render two dimensional images and annotations.

See also:
  vtkActor2D

Created by:
  - Turek, Matt

CVS contributions (if > 5%):
  - Turek, Matt (55%)
  - Martin, Ken (15%)
  - Schroeder, Will (8%)
  - Avila, Lisa (7%)
  - Miller, Jim (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkProperty2D.cxx)`
  - .`h` (`/Common/vtkProperty2D.h)`

Definition at line 52 of file vtkProperty2D.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | DeepCopy (vtkProperty2D *p)
virtual void | Render (vtkViewport *vtkNotUsed(viewport))
virtual void | SetColor (float, float, float)
virtual void | SetColor (float[3])
virtual float * | GetColor ()
virtual void | GetColor (float data[3])
virtual float | GetOpacity ()
virtual void | SetOpacity (float)
virtual void | SetPointSize (float)
virtual float | GetPointSize ()
virtual void | SetLineWidth (float)
virtual float | GetLineWidth ()
virtual void | SetLineStipplePattern (int)
virtual int | GetLineStipplePattern ()
virtual void | SetLineStippleRepeatFactor (int)
virtual int | GetLineStippleRepeatFactor ()
virtual void | SetDisplayLocation (int)
virtual int | GetDisplayLocation ()
void | SetDisplayLocationToBackground ()
void | SetDisplayLocationToForeground ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkProperty2D * | SafeDownCast (vtkObject *o)
vtkProperty2D * | New ()
## Protected Methods
| vtkProperty2D ()
| ~vtkProperty2D ()
## Protected Attributes
float | Color [3]
float | Opacity
float | PointSize
float | LineWidth
int | LineStipplePattern
int | LineStippleRepeatFactor
int | DisplayLocation

## Member Typedef Documentation

typedef vtkObject vtkProperty2D::Superclass

| Reimplemented from vtkObject. Definition at line 55 of file vtkProperty2D.h.

## Constructor & Destructor Documentation

vtkProperty2D::vtkProperty2D | ( |  | ) | `[protected]`

vtkProperty2D::~vtkProperty2D | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkProperty2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkProperty2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkProperty2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkProperty2D* vtkProperty2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkProperty2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

vtkProperty2D* vtkProperty2D::New | ( |  | ) | `[static]`

| Creates a vtkProperty2D with the following default values: Opacity 1, Color (1,1,1) Reimplemented from vtkObject.

void vtkProperty2D::DeepCopy | ( | vtkProperty2D * | p | ) |

| Assign one property to another.

virtual void vtkProperty2D::SetColor | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the RGB color of this property.

virtual void vtkProperty2D::SetColor | ( | float | [3] | ) | `[virtual]`

| Set/Get the RGB color of this property.

virtual float* vtkProperty2D::GetColor | ( |  | ) | `[virtual]`

| Set/Get the RGB color of this property.

virtual void vtkProperty2D::GetColor | ( | float | data[3] | ) | `[virtual]`

| Set/Get the RGB color of this property.

virtual float vtkProperty2D::GetOpacity | ( |  | ) | `[virtual]`

| Set/Get the Opacity of this property.

virtual void vtkProperty2D::SetOpacity | ( | float |  | ) | `[virtual]`

| Set/Get the Opacity of this property.

virtual void vtkProperty2D::SetPointSize | ( | float |  | ) | `[virtual]`

| Set/Get the diameter of a Point. The size is expressed in screen units. This is only implemented for OpenGL. The default is 1.0.

virtual float vtkProperty2D::GetPointSize | ( |  | ) | `[virtual]`

| Set/Get the diameter of a Point. The size is expressed in screen units. This is only implemented for OpenGL. The default is 1.0.

virtual void vtkProperty2D::SetLineWidth | ( | float |  | ) | `[virtual]`

| Set/Get the width of a Line. The width is expressed in screen units. This is only implemented for OpenGL. The default is 1.0.

virtual float vtkProperty2D::GetLineWidth | ( |  | ) | `[virtual]`

| Set/Get the width of a Line. The width is expressed in screen units. This is only implemented for OpenGL. The default is 1.0.

virtual void vtkProperty2D::SetLineStipplePattern | ( | int |  | ) | `[virtual]`

| Set/Get the stippling pattern of a Line, as a 16-bit binary pattern (1 = pixel on, 0 = pixel off). This is only implemented for OpenGL. The default is 0xFFFF.

virtual int vtkProperty2D::GetLineStipplePattern | ( |  | ) | `[virtual]`

| Set/Get the stippling pattern of a Line, as a 16-bit binary pattern (1 = pixel on, 0 = pixel off). This is only implemented for OpenGL. The default is 0xFFFF.

virtual void vtkProperty2D::SetLineStippleRepeatFactor | ( | int |  | ) | `[virtual]`

| Set/Get the stippling repeat factor of a Line, which specifies how many times each bit in the pattern is to be repeated. This is only implemented for OpenGL. The default is 1.

virtual int vtkProperty2D::GetLineStippleRepeatFactor | ( |  | ) | `[virtual]`

| Set/Get the stippling repeat factor of a Line, which specifies how many times each bit in the pattern is to be repeated. This is only implemented for OpenGL. The default is 1.

virtual void vtkProperty2D::SetDisplayLocation | ( | int |  | ) | `[virtual]`

| The DisplayLocation is either background or foreground. If it is background, then this 2D actor will be drawn behind all 3D props or foreground 2D actors. If it is background, then this 2D actor will be drawn in front of all 3D props and background 2D actors. Within 2D actors of the same DisplayLocation type, order is determined by the order in which the 2D actors were added to the viewport.

virtual int vtkProperty2D::GetDisplayLocation | ( |  | ) | `[virtual]`

| The DisplayLocation is either background or foreground. If it is background, then this 2D actor will be drawn behind all 3D props or foreground 2D actors. If it is background, then this 2D actor will be drawn in front of all 3D props and background 2D actors. Within 2D actors of the same DisplayLocation type, order is determined by the order in which the 2D actors were added to the viewport.

void vtkProperty2D::SetDisplayLocationToBackground | ( |  | ) | `[inline]`

| The DisplayLocation is either background or foreground. If it is background, then this 2D actor will be drawn behind all 3D props or foreground 2D actors. If it is background, then this 2D actor will be drawn in front of all 3D props and background 2D actors. Within 2D actors of the same DisplayLocation type, order is determined by the order in which the 2D actors were added to the viewport. Definition at line 117 of file vtkProperty2D.h. References VTK_BACKGROUND_LOCATION.

void vtkProperty2D::SetDisplayLocationToForeground | ( |  | ) | `[inline]`

| The DisplayLocation is either background or foreground. If it is background, then this 2D actor will be drawn behind all 3D props or foreground 2D actors. If it is background, then this 2D actor will be drawn in front of all 3D props and background 2D actors. Within 2D actors of the same DisplayLocation type, order is determined by the order in which the 2D actors were added to the viewport. Definition at line 119 of file vtkProperty2D.h. References VTK_FOREGROUND_LOCATION.

virtual void vtkProperty2D::Render | ( | vtkViewport * | vtkNotUsed(viewport) | ) | `[inline, virtual]`

| Have the device specific subclass render this property. Definition at line 125 of file vtkProperty2D.h.

## Member Data Documentation

float vtkProperty2D::Color[3]`[protected]`

| Definition at line 131 of file vtkProperty2D.h.

float vtkProperty2D::Opacity`[protected]`

| Definition at line 132 of file vtkProperty2D.h.

float vtkProperty2D::PointSize`[protected]`

| Definition at line 133 of file vtkProperty2D.h.

float vtkProperty2D::LineWidth`[protected]`

| Definition at line 134 of file vtkProperty2D.h.

int vtkProperty2D::LineStipplePattern`[protected]`

| Definition at line 135 of file vtkProperty2D.h.

int vtkProperty2D::LineStippleRepeatFactor`[protected]`

| Definition at line 136 of file vtkProperty2D.h.

int vtkProperty2D::DisplayLocation`[protected]`

| Definition at line 137 of file vtkProperty2D.h.

The documentation for this class was generated from the following file:

- Common/vtkProperty2D.h